<?php
/**
 * The template for displaying 404 pages (not found).
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package sixpack
 */

get_header(); ?>

		

<section class="error-404 not-found sp_xy sp_emphasis">
	<div class="sp_border">
		<header class="sp_header">
			<nav class="sp_title">
				<a href="<?php echo esc_url(home_url()); ?>" title="<?php esc_html__( 'Go to:', 'sixpack' ); bloginfo('name'); ?>">
					&laquo;<?php bloginfo('name'); ?>
				</a>
			</nav>
			<h1>
				<?php esc_html_e( 'Oops! That page can&rsquo;t be found.', 'sixpack' ); ?>
			</h1>
		</header>	
		<div class="sp_snippet">
			<?php esc_html_e( 'It looks like nothing was found at this location. Maybe try one of the links below or a search?', 'sixpack' ); ?>
		</div>
	
	</div>
</section>	

<?php 

get_template_part( 'template-parts/pack', 'searchform' );

get_template_part( 'template-parts/pack', 'contact' );

get_template_part( 'template-parts/element', 'sitemap' );

?>



<?php
get_footer();
