<?php
/**
 * The template for displaying archive pages.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package sixpack
 */

get_header(); ?>


<?php
	if ( have_posts() ) : 
?>
	<div class="sp_xy">
		<div class="sp_border">
			<header class="sp_header">
				<nav class="sp_title">
					<a href="<?php echo esc_url(home_url()); ?>" title="<?php esc_html__( 'Go to:', 'sixpack' ); bloginfo('name'); ?>">
						<?php bloginfo('name'); ?>
					</a>
				</nav>
				<?php
					$pagenum = '</h1>';
					if (get_query_var('paged')) {
						$pagenum = ' / ' . get_query_var( 'paged', 1 );
					}
					the_archive_title( '<h1>', $pagenum ); 		
				?>
			</header>	
		<div class="sp_snippet">
			<?php
				the_archive_description( '<div class="archive-description">', '</div>' );
			?>
		</div>
		<div class="sp_more">
			<a class="sp_more-link sp_right" href="<?php echo esc_url(home_url()); ?>/?s=&">
			&raquo;<?php echo esc_html__( 'site map', 'sixpack' ) ?>&raquo;
			</a>
		</div>		
	</div>
</div>		

			<?php
			/* Start the Loop */
			while ( have_posts() ) : the_post();

				/*
				 * Include the Post-Format-specific template for the content.
				 * If you want to override this in a child theme, then include a file
				 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
				 */
				get_template_part( 'template-parts/pack', 'content' );

			endwhile;

			get_template_part( 'template-parts/element', 'pagination' );

		else :

			get_template_part( 'template-parts/pack', 'content' );

		endif; ?>


<?php

