<?php
/**
 * The template for displaying all single posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package sixpack
 */

get_header(); ?>

<?php
while ( have_posts() ) : the_post();
?>


<!-- POST HEADER -->
<header class="sp_2x2y">
	<div class="sp_border">
		<nav class="sp_title">
			<a href="<?php echo esc_url(home_url()); ?>" title="<?php esc_html__( 'Go to:', 'sixpack' ); bloginfo('name'); ?>">
				<?php bloginfo('name'); ?>
			</a>
			<?php
				$ancestors = $post->ancestors;				
			 	foreach(array_reverse($ancestors) as $item){
			 	echo ' &raquo; <a href="' . get_page_link($item) . '">' . get_the_title($item) . '</a>' ;
			 }
			?>
		</nav>
		<div class="sp_header">
			<?php the_title( '<h1>', '</h1>' ); ?>
			<?php if ( has_post_thumbnail() ) : ?>
        		<?php the_post_thumbnail(); ?>
			<?php endif; ?>
		</div>
		
	</div>	
</header>		
<!--// POST HEADER -->	




<!-- TOC WIDGET -->
<?php
	$content = $post->post_content;
	$matches =  array();
	preg_match_all( "/(<h([2-3]{1})[^<>]*>)([^<>]+)(<\/h[2-3]{1}>)/", $content, $matches, PREG_SET_ORDER );
	$headinglist = count($matches);
	if ($headinglist != 0) :
?>	
<aside class="sp_xy">
	<div class="sp_border">
			<nav class="sp_title">
				<?php echo  esc_html__( 'In this article:', 'sixpack' ); ?>
			</nav>	
			<p>	
				<?php
					foreach($matches as $heading){ 
						echo '<span class="sp_toc">&nbsp;•&nbsp;' . strip_tags($heading[0]) . '&nbsp;</span>';
                	}			
				?>
			</p>
			<div class="sp_more">
			
			</div>
	</div>	
</aside>
<?php endif; ?>
<!--// TOC WIDGET -->

<!-- NAV WIDGET -->
<?php 
				$args = array(
					'post_parent' => $post->ID,
					'post_type' => 'page',
				);
				$children = get_children( $args );
	if ($children):
?>
<aside class="sp_xy sp_widget-nav">
	<div class="sp_border">
		
		

			<nav class="sp_title">
				<?php echo esc_html__( 'below this article:', 'sixpack' ); ?>
			</nav>
			<p>
				<?php 
			 	foreach($children as $item){
			 		if (  get_post_status($item)  == 'publish' ) {
						echo '<span class="sp_tag">&nbsp;&raquo;<a href="' . get_page_link($item) . '">' . get_the_title($item) . '</a></span>';
					}
			 	};
				?>
			</p>
		
		<div class="sp_more">
			<a class="sp_more-link sp_right" href="<?php echo esc_url(home_url()); ?>/?s=&">
				<?php echo esc_html__( '&raquo;site map', 'sixpack' ) ?>
			</a>
		</div>	
	</div>	
</aside>
<?php endif; ?>
<!--// NAV WIDGET -->




<!-- POST CONTENT -->
<main class="sp_2x">
	<div class="sp_border">
	<div class="sp_date">
			<?php echo get_the_date(); ?>
	</div>
		<div class="sp_content">
		<?php
			the_content( sprintf(
				/* translators: %s: Name of current post. */
				wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'sixpack' ), array( 'span' => array( 'class' => array() ) ) ),
				the_title( '<span class="screen-reader-text">"', '"</span>', false )
			) );

			wp_link_pages( array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'sixpack' ),
				'after'  => '</div>',
			) );
		?>
		</div>
	</div>
</main>
<!--// POST CONTENT -->

<!-- NEXT WIDGET -->
<?php
	$next_post = get_next_post();
	if (!empty( $next_post )): 
?>
<aside class="sp_xy">
	<div class="sp_border">
  			<a class="sp_title" href="<?php echo get_permalink( $next_post->ID ); ?>">
  				&raquo;&raquo; <?php echo $next_post->post_title; ?> 
  			</a>
		<p>
  			<?php echo wp_trim_words( strip_shortcodes($next_post->post_content), $num_words = 55, $more = null ); ?>
  		</p>
  		<div class="sp_more">
				<a class="sp_more-link sp_right" href="<?php echo get_permalink( $next_post->ID ); ?>">
					<?php echo esc_html__( '&raquo;next page', 'sixpack' ) ?>
				</a>
		</div>	
</aside>	
<?php endif; ?>
<!--// NEXT WIDGET -->

<!-- PREVIOUS WIDGET -->
<?php
	$previous_post = get_previous_post();
	if (!empty( $previous_post )): 
?>
<aside class="sp_xy">
	<div class="sp_border">		
  			<a class="sp_title" href="<?php echo get_permalink( $previous_post->ID ); ?>">
  				&laquo;&laquo; <?php echo $previous_post->post_title; ?>
  			</a>
		<p>
  			<?php echo wp_trim_words( strip_shortcodes($previous_post->post_content), $num_words = 55, $more = null ); ?>
  		</p>	
		<div class="sp_more">
			<a class="sp_more-link sp_left" href="<?php echo get_permalink( $previous_post->ID ); ?>">
				<?php echo esc_html__( '&laquo;previous page', 'sixpack' ) ?>
			</a>
		</div>	
	</div>
</aside>		
<?php endif; ?>
<!--// PREVIOUS WIDGET -->


	

<!-- COMMENTS -->
<?php
	// If comments are open or we have at least one comment, load up the comment template.
	if ( comments_open() || get_comments_number() ) :
?>
	<div class="sp_2x">
		<div class="sp_border">
			<?php	
				comments_template();
			?>
			<?php		
				endif;
			endwhile; // End of the loop.
			?>
		</div>
	</div>
<!--// COMMENTS -->



<footer>
</footer>

<?php

