<?php
/**
 * The template for displaying search results pages.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package sixpack
 */

get_header(); ?>


<?php
	
	/* if search query is given */	
	if ($_GET['s'] != ''): 
		
		/* if there are results */		
		if ( have_posts() ) :
		
		/* display number of results and query*/
?>		

<div class="sp_xy sp_emphasis">
	<div class="sp_border">
		<header class="sp_header">
			<nav class="sp_title">
				<a href="<?php echo esc_url(home_url()); ?>" title="<?php esc_html__( 'Go to:', 'sixpack' ); bloginfo('name'); ?>">
					&laquo;<?php bloginfo('name'); ?>
				</a>
			</nav>
			<h1>
				<?php 
					$pagination = get_option( 'posts_per_page' );
					$postsfound = $wp_query->found_posts;
					$pagenumber = get_query_var( 'paged' );
					$from = ($pagenumber * $pagination);
					$to = $from + $pagination;
					if ($postsfound < $to): $to = $postsfound; endif;
					$searchquery = get_search_query();
					printf(__('%u results', 'sixpack'), $postsfound);
				?>
			</h1>
		</header>
		<div class="sp_snippet">
			<h3>
				<?php
					printf(__('for ”<b>%s</b>” <br /> showing results <b>%u</b>-<b>%u</b>', 'sixpack'), $searchquery, $from, $to );
			
				?>
			</h3>
		</div>
	</div>
</div>		

<?php	
		/* display search form */		
		get_template_part( 'template-parts/pack', 'searchform' );
		
		/* if there are only a few results */	
		if ($postsfound < 4) :
			get_template_part( 'template-parts/pack', 'contact' );
		endif;
							
		/* Start the Loop */
		while ( have_posts() ) : the_post();

			/**
			* Run the loop for the search to output the results.
			* If you want to overload this in a child theme then include a file
			* called content-search.php and that will be used instead.
			*/
		
			/* display results */	
			get_template_part( 'template-parts/pack', 'content' );

		endwhile;
		

		/* display pagination */
		get_template_part( 'template-parts/element', 'pagination' );
		

		
	/* if there are no results */
	else :
	
		/* display Not found */
?>

<div class="sp_xy sp_emphasis">
	<div class="sp_border">
		<header class="sp_header">
			<nav class="sp_title">
				<a href="<?php echo esc_url(home_url()); ?>" title="<?php esc_html__( 'Go to:', 'sixpack' ); bloginfo('name'); ?>">
					&laquo;<?php bloginfo('name'); ?>
				</a>
			</nav>
			<h1>
				<?php 
					esc_html_e( 'Nothing found', 'sixpack' );
					
				 ?>
			</h1>
		</header>
		<div class="sp_snippet">
			<?php
				if ( is_home() && current_user_can( 'publish_posts' ) ) : 
			?>

			<p><?php printf( wp_kses( __( 'Ready to publish your first post? <a href="%1$s">Get started here</a>.', 'sixpack' ), array( 'a' => array( 'href' => array() ) ) ), esc_url( admin_url( 'post-new.php' ) ) ); ?></p>

		<?php elseif ( is_search() ) : ?>
			<p>
				<?php 
					esc_html_e( 'for your search query: ' , 'sixpack' ); 
					echo ' <b>' . get_search_query() . ' </b>'; 
				?>
			</p>
			<?php

		else : ?>

			<p><?php esc_html_e( 'It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching can help.', 'sixpack' ); ?></p>
			<?php

		endif; ?>
		</div>
	</div>
</div>


<?php

			get_template_part( 'template-parts/pack', 'searchform' ); 
			
			get_template_part( 'template-parts/pack', 'contact' ); 
			
			get_template_part( 'template-parts/element', 'sitemap' );

		endif; 
		
		else :
		
?>

<div class="sp_xy sp_emphasis">
	<div class="sp_border">
		<header class="sp_header">
			<nav class="sp_title">
				<a href="<?php echo esc_url(home_url()); ?>" title="<?php esc_html__( 'Go to:', 'sixpack' ); bloginfo('name'); ?>">
					&laquo;<?php bloginfo('name'); ?>
				</a>
			</nav>
			<h1>
			<?php	esc_html_e( 'Sitemap', 'sixpack' ); ?>
			</h1>
		</header>
		<div class="sp_snippet">
			<span class="sp_tag">	 
				<a href="#all-categories">
					&nbsp;•&nbsp;<?php	esc_html_e( 'Categories', 'sixpack' ); ?>
				</a>
			</span>
			<span class="sp_tag">
				<a href="#tag-cloud">
					&nbsp;•&nbsp;<?php	esc_html_e( 'Tags', 'sixpack' ); ?>
				</a>
			</span>
			<span class="sp_tag">
				<a href="#main-topics">
					&nbsp;•&nbsp;<?php	esc_html_e( 'Main topics', 'sixpack' ); ?>
				</a>
			</span>
			<span class="sp_tag">
				<a href="#all-pages">
					&nbsp;•&nbsp;<?php	esc_html_e( 'Pages', 'sixpack' ); ?>
				</a>
			</span>
			<span class="sp_tag">
				<a href="#all-posts">
					&nbsp;•&nbsp;<?php	esc_html_e( 'Posts', 'sixpack' ); ?>
				</a>
			</span>
		</div>
	</div>
</div>

<?php			
			get_template_part( 'template-parts/pack', 'searchform' ); 
			
			get_template_part( 'template-parts/pack', 'contact' ); 
			
			get_template_part( 'template-parts/element', 'sitemap' ); 
		
		endif; 		
		
?>

		


<?php

