<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package sixpack
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class('sp_x2y'); ?>>
	<div class="sp_border">	
		<?php if (!is_category()): ?>
			<nav class="sp_title">
				<?php 
				if ($post->post_type == 'post') {
					$categories = get_the_category();
					$separator = ' &bull; ';
					$output = '';
					if ( ! empty( $categories ) ) {
    					foreach( $categories as $category ) {
        					$output .= '<a href="' . esc_url( get_category_link( $category->term_id ) ) . '" alt="' . esc_attr( sprintf( __( 'View all posts in %s', 'sixpack' ), $category->name ) ) . '">' . esc_html( $category->name ) . '</a>' . $separator;
    					}
    				echo '&raquo;' . trim( $output, $separator );
					}
					else { 
						echo sprintf( __( 'No category', 'sixpack' )) . 'test';
					}
						
				}
				else {
					$ancestors = $post->ancestors;
					if (count($ancestors)>1) {
			 			foreach(array_reverse($ancestors) as $item){
			 				if (  get_post_status($item)  != 'publish' ) {
			 					echo  ' &raquo; ' . get_the_title($item);		
							}
							else {
								echo  ' &raquo;	 <a href="' . get_page_link($item) . '">' . get_the_title($item) . '</a>';
							}
		 				}
		 			}
		 			else { 
						echo '<a href="' . home_url()  . '/?s=&#main-topics">' . sprintf( __( 'Main topic', 'sixpack' )) . '</a>';
					}
		 		}
				?>
			</nav>
		<?php endif; ?>
		<div class="sp_header">
			<?php
				the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
			 ?>
			<?php if ( has_post_thumbnail() ) : ?>
        		<a href="<?php echo esc_url( get_permalink()) ?>" rel="bookmark">
        			<?php the_post_thumbnail('medium'); ?>
        		</a>
			<?php endif; ?>
		</div>
		<div class="sp_snippet">
			<?php the_content($more_link_text=""); ?>
		</div>	
		<div class="sp_more">
			<a class="sp_more-link sp_right" href="<?php echo get_permalink(); ?>">&raquo;<?php echo esc_html__( 'more', 'sixpack' ) ?>&raquo;</a>
		</div>		
	</div>
</article>